# Created by pyp2rpm-3.3.3
%global pypi_name Faker
%global pkg_name  faker

Name:           python-%{pkg_name}
Version:        4.17.1
Release:        %mkrel 1
Summary:        Python package that generates fake data for you
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/Faker
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(python-dateutil) >= 2.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(text-unidecode) >= 1.3
# tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(random2)
BuildRequires:  python3dist(ukpostcodeparser)
BuildRequires:  python3dist(validators)

%description
Faker is a Python package that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you. Faker is heavily inspired by PHP Faker, Perl Faker,
and by Ruby Faker.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Faker is a Python package that generates fake data for you. Whether you need
to bootstrap your database, create good-looking XML documents, fill-in your
persistence to stress test it, or anonymize data taken from a production
service, Faker is for you. Faker is heavily inspired by PHP Faker, Perl Faker,
and by Ruby Faker.

%prep
%autosetup -n Faker-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pkg_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/faker
%{python3_sitelib}/faker
%{python3_sitelib}/Faker-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Nov 22 2020 guillomovitch <guillomovitch> 4.17.1-1.mga8
+ Revision: 1648463
- new version 4.17.1

* Wed Sep 16 2020 guillomovitch <guillomovitch> 4.1.3-1.mga8
+ Revision: 1627175
- new version 4.1.3

* Sat May 30 2020 wally <wally> 4.1.0-1.mga8
+ Revision: 1588993
- new version 4.1.0

* Sat Mar 21 2020 wally <wally> 4.0.2-1.mga8
+ Revision: 1558589
- imported package python-faker

